Summary:       Userspace tools for managing VDO(Virtual Data Optimizer) volumes
Name:          vdo
Version:       8.2.2.2
Release:       5%{?dist}
License:       GPLv2
URL:           http://github.com/dm-vdo/vdo
Source0:       https://github.com/dm-vdo/vdo/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch3000:     fix_dmeventd_linking.patch
Patch3001:     0001-vdo-8.2.2.2-add-support-for-loongarch64.patch
BuildRequires: gcc zlib-devel
BuildRequires: libblkid-devel libuuid-devel
BuildRequires: device-mapper-devel device-mapper-event-devel
%ifarch %{valgrind_arches}
BuildRequires: valgrind-devel
%endif

Requires:      kmod-kvdo >= 8.2
Provides:      kvdo-kmod-common = %{version}
# Disable automatic dependency due to a file in examples/monitor.
%define __requires_exclude perl

%description
VDO (which includes kvdo and vdo) is software that provides inline block-level deduplication,
compression, and thin provisioning capabilities for primary storage. VDO installs within
the Linux device mapper framework, where it takes ownership of existing physical block devices
and remaps these to new, higher-level block devices with data-efficiency capabilities.

VDO includes two kernel modules, and a set of userspace tools for managing them.
The userspace tools include a pair of python scripts, "vdo" for creating and managing VDO volumes,
and "vdostats" for extracting statistics from those volumes.


%package support
Summary:       Support tools for VDO
License:       GPLv2
Requires:      libuuid >= 2.23

%description support
Virtual Data Optimizer (VDO) is a device mapper target that delivers
block-level deduplication, compression, and thin provisioning.

This package provides the user-space support tools for VDO.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
make


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALLOWNER= bindir=%{_bindir} \
  defaultdocdir=%{_defaultdocdir} name=%{name} mandir=%{_mandir} \
  sysconfdir=%{_sysconfdir}


%files
%license %{_defaultdocdir}/%{name}/COPYING
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/vdostats
%{_bindir}/vdostats
%{_bindir}/vdodmeventd
%{_bindir}/vdodumpconfig
%{_bindir}/vdoforcerebuild
%{_bindir}/vdoformat
%{_bindir}/vdosetuuid
%dir %{_defaultdocdir}/%{name}
%dir %{_defaultdocdir}/%{name}/examples
%dir %{_defaultdocdir}/%{name}/examples/monitor
%doc %{_defaultdocdir}/%{name}/examples/monitor/*
%{_mandir}/man8/vdostats.8.gz
%{_mandir}/man8/vdodmeventd.8.gz
%{_mandir}/man8/vdodumpconfig.8.gz
%{_mandir}/man8/vdoforcerebuild.8.gz
%{_mandir}/man8/vdoformat.8.gz
%{_mandir}/man8/vdosetuuid.8.gz


%files support
%{_bindir}/adaptLVMVDO.sh
%{_bindir}/vdoaudit
%{_bindir}/vdodebugmetadata
%{_bindir}/vdodumpblockmap
%{_bindir}/vdodumpmetadata
%{_bindir}/vdolistmetadata
%{_bindir}/vdoreadonly
%{_bindir}/vdorecover
%{_bindir}/vdoregenerategeometry
%{_mandir}/man8/adaptlvm.8.gz
%{_mandir}/man8/vdoaudit.8.gz
%{_mandir}/man8/vdodebugmetadata.8.gz
%{_mandir}/man8/vdodumpblockmap.8.gz
%{_mandir}/man8/vdodumpmetadata.8.gz
%{_mandir}/man8/vdolistmetadata.8.gz
%{_mandir}/man8/vdoreadonly.8.gz
%{_mandir}/man8/vdorecover.8.gz
%{_mandir}/man8/vdoregenerategeometry.8.gz

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.2.2-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.2.2-4
- Rebuilt for loongarch release

* Mon Jun 24 2024 Xiaojie Chen <jackxjchen@tencent.com> - 8.2.2.2-3
- [Type] other
- [DESC] Modify Source0 url to fit automatic upgrades

* Thu May 9 2024 Pengda Dou <doupengda@loongson.cn> - 8.2.2.2-2
- add support for loongarch64

* Fri Jan 26 2024 Xiaojie Chen <jackxjchen@tencent.com> - 8.2.2.2-1
- Upgrade to upstream version 8.2.2.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.0.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.0.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2.0.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 8.2.0.2-2
- remove README.md

* Mon Nov 21 2022 rockerzhu <rockerzhu@tencent.com> - 8.2.0.2-1
- Initial build
